<?xml version="1.0" encoding="utf-8"?>
<MotionScene xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto">
    <Transition
        app:constraintSetEnd="@id/end"
        app:constraintSetStart="@id/start"
        app:duration="500" />

    <ConstraintSet android:id="@+id/start">

        <Constraint
            android:id="@id/title_toolbar"
            android:visibility="visible"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="@dimen/margin_title"
            app:layout_constraintBottom_toBottomOf="@id/button_on_back_pressed"
            app:layout_constraintStart_toEndOf="@id/button_on_back_pressed"
            app:layout_constraintTop_toTopOf="@id/button_on_back_pressed"
            />

        <Constraint
            android:id="@id/search_view"
            android:layout_width="100dp"
            android:layout_height="@dimen/size_search_height"
            android:layout_marginTop="@dimen/standard_margin"
            android:visibility="invisible"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toEndOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <Constraint
            android:id="@id/button_on_menu"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/standard_margin"
            android:layout_marginEnd="@dimen/standard_margin"
            android:padding="8dp"
            android:tint="@color/colorAccent"
            android:visibility="visible"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="parent">
            <CustomAttribute
                app:attributeName="ColorFilter"
                app:customColorValue="@color/colorAccent" />

        </Constraint>

    </ConstraintSet>

    <ConstraintSet android:id="@+id/end">

        <Constraint
            android:id="@id/title_toolbar"
            android:visibility="invisible"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="@dimen/margin_title"
            app:layout_constraintBottom_toBottomOf="@id/button_on_back_pressed"
            app:layout_constraintStart_toEndOf="@id/button_on_back_pressed"
            app:layout_constraintTop_toTopOf="@id/button_on_back_pressed"
            />

        <Constraint
            android:id="@id/search_view"
            android:layout_width="0dp"
            android:layout_height="@dimen/size_search_height"
            android:layout_marginTop="@dimen/standard_margin"
            android:layout_marginEnd="@dimen/standard_margin"
            android:visibility="visible"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toEndOf="@id/button_on_back_pressed"
            app:layout_constraintTop_toTopOf="parent" />

        <Constraint
            android:id="@id/button_on_menu"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/standard_margin"
            android:padding="8dp"
            android:tint="@color/colorTextLight"
            android:visibility="invisible"
            app:layout_constraintStart_toEndOf="@id/button_on_back_pressed"
            app:layout_constraintTop_toTopOf="parent"
            app:srcCompat="@drawable/ic_search">
            <CustomAttribute
                app:attributeName="ColorFilter"
                app:customColorValue="@color/colorTextLight" />
        </Constraint>
    </ConstraintSet>

</MotionScene>